using Microsoft.Office.InfoPath;
using System;
using System.Windows.Forms;
using System.Xml;
using System.Xml.XPath;

namespace MultipleNotifications
{
    public partial class FormCode
    {
        public void InternalStartup()
        {
            EventManager.XmlEvents["/my:myFields"].Changed += new XmlChangedEventHandler(myFields_Changed);
        }

        public void myFields_Changed(object sender, XmlEventArgs e)
        {
            // Write code here to change data outside the Main Data Object
            // such as other Data Objects and member variables.

            if (e.UndoRedo)
            {
                // InfoPath will handle all undo and redo operations that change
                // the Main Data Object, so nothing left for custom to do.
                return;
            }

            string nodeName = ((XPathNavigator)sender).Name;
            MessageBox.Show("document element; operation = " + e.Operation + " by node " + nodeName);
        }
    }
}
