using Microsoft.Office.InfoPath;
using System;
using System.Windows.Forms;
using System.Xml;
using System.Xml.XPath;

namespace EventBubbling
{
    public partial class FormCode
    {
        public void InternalStartup()
        {
            EventManager.XmlEvents["/my:myFields/my:group1/my:field1"].Changing += new XmlChangingEventHandler(field1_Changing);
            EventManager.XmlEvents["/my:myFields/my:group1"].Changing += new XmlChangingEventHandler(group1_Changing);
            EventManager.XmlEvents["/my:myFields"].Changing += new XmlChangingEventHandler(myFields_Changing);
        }

        public void field1_Changing(object sender, XmlChangingEventArgs e)
        {
            // Ensure that the constraint you are enforcing is compatible
            // with the default value you set for this XML node.
            MessageBox.Show("Changing: Site is " + e.Site.Name + "; Source is " + ((XPathNavigator)sender).Name);
        }

        public void group1_Changing(object sender, XmlChangingEventArgs e)
        {
            // Ensure that the constraint you are enforcing is compatible
            // with the default value you set for this XML node.
            MessageBox.Show("Changing: Site is " + e.Site.Name + "; Source is " + ((XPathNavigator)sender).Name);
        }

        public void myFields_Changing(object sender, XmlChangingEventArgs e)
        {
            // Ensure that the constraint you are enforcing is compatible
            // with the default value you set for this XML node.
            MessageBox.Show("Changing: Site is " + e.Site.Name + "; Source is " + ((XPathNavigator)sender).Name);
        }
    }
}