using Microsoft.Office.InfoPath;
using System;
using System.Windows.Forms;
using System.Xml;
using System.Xml.XPath;

namespace Table15_2
{
    public partial class FormCode
    {
        public void InternalStartup()
        {
            EventManager.FormEvents.Loading += new LoadingEventHandler(FormEvents_Loading);
            EventManager.FormEvents.ViewSwitched += new ViewSwitchedEventHandler(FormEvents_ViewSwitched);
            EventManager.FormEvents.ContextChanged += new ContextChangedEventHandler(FormEvents_ContextChanged);
            EventManager.FormEvents.Sign += new SignEventHandler(FormEvents_Sign);
            EventManager.FormEvents.Submit += new SubmitEventHandler(FormEvents_Submit);
            EventManager.FormEvents.Save += new SaveEventHandler(FormEvents_Save);
            EventManager.FormEvents.VersionUpgrade += new VersionUpgradeEventHandler(FormEvents_VersionUpgrade);
            EventManager.FormEvents.Merge += new MergeEventHandler(FormEvents_Merge);
        }

        public void FormEvents_Loading(object sender, LoadingEventArgs e)
        {
            // Write code here.
        }

        public void FormEvents_ViewSwitched(object sender, ViewSwitchedEventArgs e)
        {
            // Write code here.
        }

        public void FormEvents_ContextChanged(object sender, ContextChangedEventArgs e)
        {
            if (e.ChangeType == "ContextNode")
            {
                // XML Selection or Context has changed.
                // Write code here.
                return;
            }
        }

        public void FormEvents_Sign(object sender, SignEventArgs e)
        {
            // The Sign handler can be customized only in fully trusted form templates.

            Signature thisSignature = e.SignedDataBlock.Signatures.CreateSignature();

            // You can add other pieces of information to sign by modifying the
            // signature template in thisSignature.SignatureBlockXmlNode.
            // Write code here.

            thisSignature.Sign();
        }

        public void FormEvents_Submit(object sender, SubmitEventArgs e)
        {
            // Write code here.
        }

        public void FormEvents_Save(object sender, SaveEventArgs e)
        {
            // Write code to be run before saving here.

            // The Dirty property will be set to false if save is successfull.
            e.PerformSaveOperation();

            // Write code to be run after saving here.

            e.CancelableArgs.Cancel = false;
        }

        public void FormEvents_VersionUpgrade(object sender, VersionUpgradeEventArgs e)
        {
            // Write code here.
        }

        public void FormEvents_Merge(object sender, MergeEventArgs e)
        {
            // Write code here.
            e.CancelableArgs.Cancel = false;
        }
    }
}
