using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Specialized;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.XPath;

public partial class XmlFormView_MyPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        XmlFormView1.DataBind();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        XmlFormView1.Style["visibility"] = "visible";
        XPathNavigator root = XmlFormView1.XmlForm.MainDataSource.CreateNavigator();
        XPathNavigator insurerName = root.SelectSingleNode("/my:myFields/my:InsurerName", XmlFormView1.XmlForm.NamespaceManager);
        insurerName.SetValue(TextBox1.Text);
    }
    protected void XmlFormView1_Initialize(object sender, Microsoft.Office.InfoPath.Server.Controls.InitializeEventArgs e)
    {
        string insurerName = Request.QueryString["InsurerName"];
        e.InputParameters.Add("InsName", insurerName);
    }
    protected void XmlFormView1_SubmitToHost(object sender, Microsoft.Office.InfoPath.Server.Controls.SubmitToHostEventArgs e)
    {
        Response.Write("<h2>Thank you for your submission!</h2><br>");
        Response.Write("<h5>Please select 'Save As' on the 'File' menu in your browser to save this for future claims.</h5><p>");
        Response.Write("<span id=formdata style='visibility:hidden'>");
        XPathNavigator root = XmlFormView1.XmlForm.MainDataSource.CreateNavigator();
        Response.Write(root.OuterXml);
        Response.Write("</span>");
        Response.End();
    }
    protected void XmlFormView1_NotifyHost(object sender, Microsoft.Office.InfoPath.Server.Controls.NotifyHostEventArgs e)
    {
        Literal1.Text = "<script lang='jscript'>"
            + "alert('" + e.Notification + "');"
            + "</script>";
    }
}
